wreport::bulletin::AssociatedField Struct Reference

## Public Member Functions

| AssociatedField (const Vartable &btable)
std::unique_ptr< Var > | make_attribute (unsigned value) const
| Create a Var that can be used as an attribute for the currently defined associated field and the given value.
const Var * | get_attribute (const Var &var) const
| Get the attribute of var corresponding to this associated field significance.

## Data Fields

const Vartable & | btable
| B table used to generate associated field attributes.
bool | skip_missing
| If true, fields with a missing values will be returned as 0.
unsigned | bit_count
| Number of extra bits inserted by the current C04yyy modifier (0 for no C04yyy operator in use).
unsigned | significance
| Significance of C04yyy field according to code table B31021.

## Member Function Documentation

## make_attribute()

std::unique_ptr< Var > wreport::bulletin::AssociatedField::make_attribute | ( | unsigned | value | ) | const

Create a Var that can be used as an attribute for the currently defined associated field and the given value.

A return value of nullptr means "no field to associate".

## Field Documentation

## skip_missing

bool wreport::bulletin::AssociatedField::skip_missing

If true, fields with a missing values will be returned as 0.

If it is false, fields with missing values will be returned as undefined variables.

The documentation for this struct was generated from the following file:

- associated_fields.h